/* Copyright 2009 Palm, Inc.  All rights reserved. */

var OmadmService = Class.create( {
		
	setRoamMode: function (mode, successCallback, errorCallback) {
		return new Mojo.Service.Request(NovaAccountService.telephonyServiceIdentifier, {
			method: 'roamModeSet',
			parameters: {"mode":mode, "subscribe": true},
			onSuccess: successCallback,
			onFailure: errorCallback
		}, true);
	}
	
}); 	